<script>
    import { awaitingAPI } from 'store'
    import Logo from 'components/Icons/Logo.svelte'
    import Spinner from 'components/Icons/Spinner.svelte'
    import ArrowRight from 'components/Icons/ArrowRight.svelte'
</script>

<header>
    <Logo />
    <h1><slot name="title" /></h1>
    <p><slot name="subtitle" /></p>
</header>
<form><slot /></form>
<footer>
    <button on:click|preventDefault>
        {#if $awaitingAPI}
            <Spinner />
        {:else}
            <ArrowRight />
        {/if}
    </button>
    <p><slot name="link" /></p>
</footer>

<style lang="postcss">
    header,
    form,
    footer {
        @apply pl-12;
    }

    header,
    footer {
        @apply py-8;
    }

    header {
        @apply pt-16;

        h1 {
            @apply font-display font-semibold text-4xl tracking-tight text-transparent bg-gradient-to-br from-teal-400 to-teal-600 bg-clip-text mt-8;
        }

        p {
            @apply text-xl text-blueGray-600;
        }
    }

    form {
        @apply relative flex flex-col gap-y-3 justify-center;
    }

    footer {
        @apply flex gap-x-4 items-center pb-16 pr-12;

        button {
            @apply p-4 bg-gradient-to-br from-teal-300 to-teal-500 rounded-3xl font-semibold text-teal-800 tracking-wide shadow-lg;
        }

        p {
            @apply text-blueGray-500;

            :global(a) {
                @apply text-teal-600 font-semibold underline;
            }
        }
    }
</style>
